spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
spot::scc_stack_ta Class Reference
Collaboration diagram for spot::scc_stack_ta:

## Classes
struct | connected_component

## Public Types
typedef std::list < connected_component > | stack_type

## Public Member Functions
void | push (int index)
| Stack a new SCC with index index. More...
connected_component & | top ()
| Access the top SCC. More...
const connected_component & | top () const
| Access the top SCC. More...
void | pop ()
| Pop the top SCC. More...
size_t | size () const
| How many SCC are in stack. More...
std::list< const state * > & | rem ()
| The `rem` member of the top SCC. More...
bool | empty () const
| Is the stack empty? More...

## Public Attributes
stack_type | s

## Member Function Documentation

bool spot::scc_stack_ta::empty | ( |  | ) | const

Is the stack empty?

void spot::scc_stack_ta::pop | ( |  | ) |

Pop the top SCC.

void spot::scc_stack_ta::push | ( | int | index | ) |

Stack a new SCC with index index.

std::list<const state*>& spot::scc_stack_ta::rem | ( |  | ) |

The `rem` member of the top SCC.

size_t spot::scc_stack_ta::size | ( |  | ) | const

How many SCC are in stack.

connected_component& spot::scc_stack_ta::top | ( |  | ) |

Access the top SCC.

const connected_component& spot::scc_stack_ta::top | ( |  | ) | const

Access the top SCC.

The documentation for this class was generated from the following file:

- spot/ta/ta.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.